SAP Agent will not start and forces trace with error

Document ID : KB000084582
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
From forced trace:

20180319/112329.620 - 1 java.lang.RuntimeException: java.security.NoSuchAlgorithmException: MD5 MessageDigest not available
at com.uc4.jgssapi.CmnEnc.md5Generate(CmnEnc.java:49)
at com.uc4.jgssapi.CmnEnc.md5Generate(CmnEnc.java:31)
at com.uc4.jgssapi.GssHelper.gss_PWEncrypt(GssHelper.java:164)
at com.uc4.keymgr.KeyManager.computeDefaultCompanyKey(KeyManager.java:79)
at com.uc4.keymgr.KeyManager.(KeyManager.java:62)
at com.uc4.ex.cp.CPConnection.initEncryption(CPConnection.java:957)

The SAP Agent will not start.

After attempting to start the Agent it instantly falls, and creates a forced trace file. The file contains the above error message.


 
Cause:
Cause type:
Configuration
Root Cause: An incompatible (likely older) version of the sapjco3.jar file is being used.
Resolution:
An incompatible version of the sapjco3.jar file is being used. The version of the .jar file can be checked with the following command:

java -jar sapjco3.jar

For higher versions of the Agent the output should be the following (i.e. this is the output for the sapjco3.jar that should be used with version 11.2.7):
| SAP Java Connector |
| Copyright (c) 2000-2015 SAP SE. All rights reserved. |
| Version Information |
--------------------------------------------------------------------------------------
Java Runtime:
Operating System: AIX 7.1 for ppc64
Java VM: 1.7.0 IBM Corporation
Default charset: ISO-8859-1
Versions:
JCo API: 3.0.14 (2015-12-16)
JCo middleware: JavaRfc 2.2.17
JCo library: 721.619
Library Paths:
Path to JCo archive: /u01/Automic/sap/bin/sapjco3.jar
Path to JCo library: /u01/Automic/sap/bin/libsapjco3.so
--------------------------------------------------------------------------------------
| Manifest |
--------------------------------------------------------------------------------------
Manifest-Version: 1.0
Implementation-Vendor: SAP SE, Walldorf
Ant-Version: Apache Ant 1.6.4
Implementation-Title: com.sap.conn.jco
Implementation-Version: 20151216 2300 [3.0.14 (2015-12-16)]
Implementation-Vendor-Id: com.sap
Specification-Vendor: SAP SE, Walldorf
Specification-Title: SAP Java Connector v3
Created-By: 5.1.028 (SAP AG)
Specification-Version: 3.0.14  

If the version of the sapjco3.jar is in fact incompatible with the Agent version being used, then download a compatible version of the sapjco3.jar file.

Then replace the old sapjco3.jar with the new sapjco3.jar in the Agent's bin directory. 


Fix Status: No Fix

Fix Version(s):
N/A
Additional Information:
Workaround :
N/A